You are not logged in.

#1 2020-12-22 09:39:32

a_manthey
Member
Registered: 2017-08-21
Posts: 21

[Solved] postgresql doesn't start after upgrade

today postgresql got upgraded to 13.1-3 and icu to 68.2-1.
Now i get this error:

$ systemctl status postgresql.service
● postgresql.service - PostgreSQL database server
     Loaded: loaded (/usr/lib/systemd/system/postgresql.service; enabled; vendor preset: disabled)
     Active: failed (Result: exit-code) since Tue 2020-12-22 09:52:56 CET; 23min ago
    Process: 1131 ExecStartPre=/usr/bin/postgresql-check-db-dir ${PGROOT}/data (code=exited, status=0/SUCCESS)
    Process: 1182 ExecStart=/usr/bin/postgres -D ${PGROOT}/data (code=exited, status=127)
   Main PID: 1182 (code=exited, status=127)

Dez 22 09:52:56 rpi3-mail.abamanthey.org systemd[1]: Starting PostgreSQL database server...
Dez 22 09:52:56 rpi3-mail.abamanthey.org postgres[1182]: /usr/bin/postgres: error while loading shared libraries: libicui18n.so.67: cannot open shared object file: No su>
Dez 22 09:52:56 rpi3-mail.abamanthey.org systemd[1]: postgresql.service: Main process exited, code=exited, status=127/n/a
Dez 22 09:52:56 rpi3-mail.abamanthey.org systemd[1]: postgresql.service: Failed with result 'exit-code'.
Dez 22 09:52:56 rpi3-mail.abamanthey.org systemd[1]: Failed to start PostgreSQL database server.

I think, postgresql needs a rebuild against icu 68.2

Last edited by a_manthey (2020-12-22 09:44:31)

Offline

#2 2020-12-22 09:44:07

a_manthey
Member
Registered: 2017-08-21
Posts: 21

Re: [Solved] postgresql doesn't start after upgrade

sorry, my error. I have postgresql in ignorepkg, so i still had the old version.

Offline

#3 2020-12-28 23:04:24

GoblinMendicant
Member
Registered: 2019-09-02
Posts: 14

Re: [Solved] postgresql doesn't start after upgrade

I don't understand your solution. I have those packages in my ignore, as well, and I'm experiencing this error. Can't start postgresql.service. This is because icu updated while the postgresql packages were held back?

So I tried to update the packages and then upgrade using pg_upgrade. But the PG_VERSION in my backup is showing 13, so I get an error when running pg_upgrade.

$ sudo cat /var/lib/postgres/olddata/PG_VERSION
13

I think this is because the first time I tried to upgrade, I ran

pg_upgrade -b /opt/pgsql-12/bin -B /usr/bin -d /var/lib/postgres/olddata -D /var/lib/postgres/data

But the olddata was actually in /var/lib/postgres/olddata/data and I got confused that it wasn't found, and so I downgraded the packages back to 12.5. Then I tried to update to 13 again and upgrade - but when I replaced the olddata folder this time I replaced it with the version 13 data that I had initiated in the data folder (which was still there, I believe, even after downgrading). So now, I think I've lost my old 12.5 lib data, and I'm not sure how to get it back so I can successfully upgrade!

I can start a new thread if I verged too far from the OP. But, right now I'm back at 12.5 and back at that error.

Offline

#4 2020-12-29 11:02:39

a_manthey
Member
Registered: 2017-08-21
Posts: 21

Re: [Solved] postgresql doesn't start after upgrade

What did I?
when i realized, that i  had incompatible versions of icu and postgresql because of blocking postgresql upgrade by ignorepkg clause, i dumped data and updated postgresql, postgresql and postgresql-old-upgrade.

I followed Archlinux Wiki exactly. After that i could restart postgresql.

Offline

#5 2020-12-29 18:01:38

GoblinMendicant
Member
Registered: 2019-09-02
Posts: 14

Re: [Solved] postgresql doesn't start after upgrade

Thanks. I'm trying to follow those steps, but am hitting an error. I started my own thread.

Offline

Board footer

Powered by FluxBB